mpc85xx_local_config_write
Prev | PPC32 support | Next

## Name

mpc85xx_local_config_write — Generate a MPC85xx local config space write

## Synopsis

`int mpc85xx_local_config_write (` | int | index,
| u32 | offset,
| int | len,
| u32 | data`)`;

## Arguments

`index`

  ID of RapdiIO interface

`offset`

  Offset into configuration space

`len`

  Length (in bytes) of the maintenance transaction

`data`

  Value to be written

## Description

Generates a MPC85xx local configuration space write. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
mpc85xx_local_config_read | Home | mpc85xx_rio_config_read